package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 直推方式枚举
 **/
@AllArgsConstructor
@Getter
public enum EDirectPushMode {


    /**
     * 个人直推
     */
    PERSONAL_PUSH(1, "个人", 0, EnumsPrefixConstants.DIRECT_PUSH_MODE + "1"),
    /**
     * 伞下直推
     */
    UMBRELLA_PUSH(2, "血缘", 0, EnumsPrefixConstants.DIRECT_PUSH_MODE + "2"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    /**
     * 根据值获取枚举
     *
     * @param value
     * @return
     */
    public static EDirectPushMode getEnumByValue(int value) {
        for (EDirectPushMode enums : EDirectPushMode.values()) {
            if (enums.getValue() == value) {
                return enums;
            }
        }
        return null;
    }
}
